com.smartgwt.client.types

## Enum EditCompletionEvent

- java.lang.Object
- - java.lang.Enum<EditCompletionEvent>
  - - com.smartgwt.client.types.EditCompletionEvent

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<EditCompletionEvent>

      public enum EditCompletionEvent
      extends java.lang.Enum<EditCompletionEvent>
      implements ValueEnum

  What event / user interaction type caused cell editing to complete.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLICK` User started editing another row by clicking on it
    `CLICK_OUTSIDE` User clicked outside editor during edit.
    `DOUBLE_CLICK` User started editing another row by double clicking
    `DOWN_ARROW_KEYPRESS` down arrow key.
    `EDIT_FIELD_CHANGE` Edit moved to a different field (same row)
    `ENTER_KEYPRESS` Enter pressed.
    `ESCAPE_KEYPRESS` User pressed Escape.
    `PROGRAMMATIC` Edit completed via explicit function call
    `SHIFT_TAB_KEYPRESS` User pressed Shift+Tab.
    `TAB_KEYPRESS` User pressed Tab.
    `UP_ARROW_KEYPRESS` Up arrow key pressed.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static EditCompletionEvent` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EditCompletionEvent[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLICK_OUTSIDE

          public static final EditCompletionEvent CLICK_OUTSIDE

      User clicked outside editor during edit.

    - #### CLICK

          public static final EditCompletionEvent CLICK

      User started editing another row by clicking on it

    - #### DOUBLE_CLICK

          public static final EditCompletionEvent DOUBLE_CLICK

      User started editing another row by double clicking

    - #### ENTER_KEYPRESS

          public static final EditCompletionEvent ENTER_KEYPRESS

      Enter pressed.

    - #### ESCAPE_KEYPRESS

          public static final EditCompletionEvent ESCAPE_KEYPRESS

      User pressed Escape.

    - #### UP_ARROW_KEYPRESS

          public static final EditCompletionEvent UP_ARROW_KEYPRESS

      Up arrow key pressed.

    - #### DOWN_ARROW_KEYPRESS

          public static final EditCompletionEvent DOWN_ARROW_KEYPRESS

      down arrow key.

    - #### TAB_KEYPRESS

          public static final EditCompletionEvent TAB_KEYPRESS

      User pressed Tab.

    - #### SHIFT_TAB_KEYPRESS

          public static final EditCompletionEvent SHIFT_TAB_KEYPRESS

      User pressed Shift+Tab.

    - #### EDIT_FIELD_CHANGE

          public static final EditCompletionEvent EDIT_FIELD_CHANGE

      Edit moved to a different field (same row)

    - #### PROGRAMMATIC

          public static final EditCompletionEvent PROGRAMMATIC

      Edit completed via explicit function call

  - ### Method Detail

    - #### values

          public static EditCompletionEvent[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EditCompletionEvent c : EditCompletionEvent.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EditCompletionEvent valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`